Skip to content

Get container statistics

GET
/container/{ocid}/stats/{step}
curl --request GET \
--url https://sylve.lan:8181/api/container/1/stats/example \
--header 'Authorization: <Authorization>'

Get CPU and memory usage for a container over a window

ocid
required
integer

Container ID

step
required
string

Window step

Success

Media typeapplication/json
object
data
Array<object>
object
containerId
integer
cpuUsage
number
createdAt
string
id
integer
memoryUsage
number
error
string
message
string
status
string
Examplegenerated
{
"data": [
{
"containerId": 1,
"cpuUsage": 1,
"createdAt": "example",
"id": 1,
"memoryUsage": 1
}
],
"error": "example",
"message": "example",
"status": "example"
}